Bug 886029 - ten "x-caja-desktop" windows are opened after first login
ten "x-caja-desktop" windows are opened after first login
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-settings-daemon (Show other bugs)
19
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
https://github.com/mate-desktop/mate-...
https://fedoraproject.org/wiki/Common...
: CommonBugs, Reopened
: 973430 (view as bug list)
Depends On:
Blocks: F19Beta-accepted/F19BetaFreezeException
  Show dependency treegraph
 
Reported: 2012-12-11 05:54 EST by Jan Sedlák
Modified: 2013-12-27 01:00 EST (History)
23 users (show)

See Also:
Fixed In Version: mate-file-manager-1.6.3-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 14:08:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xsession-errors (4.28 KB, text/plain)
2012-12-11 06:49 EST, Jan Sedlák
no flags Details
messages (268.29 KB, text/plain)
2012-12-11 06:50 EST, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2012-12-11 05:54:39 EST
Description of problem:
In Mate desktop, after user is logged for the first time, ten Caja windows labelled "x-caja-desktop" open up.

Steps to Reproduce:
1. Install F18 Beta with Mate desktop.
2. Log in.
  
Actual results:
Ten x-caja-desktop windows open up.

Expected results:
They shouldn't.
Comment 1 Dan Mashal 2012-12-11 05:55:25 EST
rpm -qa |grep mate please
Comment 2 Jan Sedlák 2012-12-11 06:27:57 EST
[test@dhcp-2-203 ~]$ rpm -qa | grep mate
mate-panel-1.5.2-4.fc18.i686
mate-conf-1.4.0-21.fc18.i686
mate-file-manager-open-terminal-1.5.0-1.fc18.i686
mate-power-manager-1.5.1-3.fc18.i686
mate-screensaver-1.5.1-1.fc18.i686
mate-text-editor-1.4.0-2.fc18.i686
mate-keyring-pam-1.5.0-2.fc18.i686
mate-dialogs-1.5.0-2.fc18.i686
mate-window-manager-1.5.2-7.fc18.i686
mate-file-manager-1.5.2-1.fc18.i686
libmatewnck-1.5.0-1.fc18.i686
mate-calc-1.5.0-1.fc18.i686
libmatekeyring-1.5.0-1.fc18.i686
mate-backgrounds-1.5.0-2.fc18.noarch
libmatekbd-1.5.0-1.fc18.i686
libmatecomponent-1.4.0-14.fc18.i686
mate-icon-theme-1.5.0-1.fc18.noarch
libmateweather-1.5.0-1.fc18.i686
mate-desktop-libs-1.5.5-1.fc18.i686
mate-control-center-1.5.1-1.fc18.i686
mate-session-manager-1.5.0-1.fc18.i686
mate-vfs-1.4.0-14.fc18.i686
mate-media-1.5.0-1.fc18.i686
mate-conf-editor-1.4.0-2.fc18.i686
mate-menus-1.5.0-1.fc18.i686
mate-desktop-1.5.5-1.fc18.i686
mate-panel-libs-1.5.2-4.fc18.i686
libmate-1.4.0-17.fc18.i686
mate-system-monitor-1.5.0-2.fc18.i686
mate-notification-daemon-1.5.0-1.fc18.i686
mate-polkit-1.5.0-1.fc18.i686
mate-menus-libs-1.5.0-1.fc18.i686
mate-settings-daemon-1.5.4-1.fc18.i686
imsettings-mate-1.5.0-2.fc18.i686
mate-file-manager-extensions-1.5.2-1.fc18.i686
mate-utils-1.4.0-4.fc18.i686
mate-themes-1.5.0-1.fc18.noarch
mate-file-archiver-1.5.1-1.fc18.i686
libmatenotify-1.5.0-1.fc18.i686
mate-corba-1.4.0-10.fc18.i686
mate-terminal-1.4.0-4.fc18.i686
mate-image-viewer-1.5.0-2.fc18.i686
mate-keyring-1.5.0-2.fc18.i686
mate-system-log-1.4.0-4.fc18.i686
Comment 3 Dan Mashal 2012-12-11 06:30:33 EST
That is honestly very strange.

I've actually had that happen to me once. 

Can you try a reboot and see if it happens again?

If so can you include your ~/.xsession_errors and /var/log/messages please?

Thanks,
Dan
Comment 4 Jan Sedlák 2012-12-11 06:49:31 EST
Created attachment 661384 [details]
xsession-errors
Comment 5 Jan Sedlák 2012-12-11 06:50:01 EST
Created attachment 661385 [details]
messages
Comment 6 Jan Sedlák 2012-12-11 06:50:33 EST
It didn't happened after reboot. Only on first login on newly created account.
Comment 7 Dan Mashal 2012-12-11 06:52:23 EST
I see, very interesting messages in xsession errors. 

Do you have another DE like gnome installed?
Comment 8 Jan Sedlák 2012-12-11 07:00:55 EST
No, I don't - I have just installed F18, only with Mate desktop. Note that I HAD gnome, lxde, i3 and other desktops. I have installed Fedora 18, but I kept my /home partition from my old Archlinux installation. Note that this shouldn't be the problem - I have created new user (so "old" configuration files wouldn't "mess" with the new installation).
Comment 9 Dan Mashal 2012-12-11 07:03:05 EST
Thanks for the info. Will look into it further.
Comment 10 Dan Mashal 2012-12-24 01:20:16 EST
I believe this is a bug with MATE control center. 

Did you set any custom settings via system -> preferences (windows) to trigger this?
Comment 11 Dan Mashal 2013-01-04 11:33:26 EST
OK I am able to properly reproduce this bug now.

This happens on the first login for the first time for a new user, after that it's good. 

Still digging.

Few suspects in mind here, will try stomp this bug asap.
Comment 12 Dan Mashal 2013-01-08 02:39:33 EST
I have found a work around which would be to switch to metacity. 

I will await upstream response before doing this first.
Comment 13 Jimmy Dorff 2013-01-16 15:03:55 EST
I observed the same thing, but it happens every time for a user until the system has restarted. e.g. "bob" logins in and sees 10 windows. Close them, logout, login and you get 10 windows again.
Comment 14 Rory Renton 2013-01-22 03:04:48 EST
I am getting this bug too, with the new F18, not beta.
Comment 15 Dan Mashal 2013-01-22 21:44:34 EST
This is a known issue. We are working to resolve it.
Comment 16 Jeff Bastian 2013-02-11 08:09:42 EST
bhull2010's method seems to work:
    https://github.com/mate-desktop/mate-session-manager/issues/19 



1. cp /usr/share/applications/caja.desktop \
      /usr/share/applications/caja-desktop.desktop
   sed -i 's/^Exec=caja.*/Exec=caja -n/' \
      /usr/share/applications/caja-desktop.desktop

2. sed -i.BAK 's/caja/caja-desktop/' \
      /usr/share/glib-2.0/schemas/org.mate.session.gschema.xml

3. /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas &> /dev/null

4. Logout and login
Comment 17 Dan Mashal 2013-02-11 22:35:50 EST
Thanks for pointing this out. Looks like it fixed the problem on Fedora too.
Comment 18 Fedora Update System 2013-02-11 22:57:19 EST
mate-file-manager-1.5.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-1.5.2-2.fc18
Comment 19 Fedora Update System 2013-02-11 23:07:50 EST
mate-session-manager-1.5.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-session-manager-1.5.0-3.fc18
Comment 20 Jeff Bastian 2013-02-12 12:00:08 EST
I have no desktop icons with the updates from comment 18 and comment 19, and the desktop-right-click menu is missing also.

The glib schema file has been updated:

$ grep caja /usr/share/glib-2.0/schemas/org.mate.session.gschema.xml
      <default>'caja-desktop'</default>

But there is no caja-desktop.desktop file!

$ ls /usr/share/applications/caja-desktop.desktop
ls: cannot access /usr/share/applications/caja-desktop.desktop: No such file or directory


It looks like the '-n' flag was added to the plain caja.desktop file instead:

$ grep 'Exec=caja -n' /usr/share/applications/caja*
/usr/share/applications/caja.desktop:Exec=caja -n


So, either switch the gschema file back to plain 
    <default>'caja'</default>
or create a new caja-desktop.desktop file.
Comment 21 Fedora Update System 2013-02-12 23:32:27 EST
Package mate-file-manager-1.5.2-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-file-manager-1.5.2-2.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2381/mate-file-manager-1.5.2-2.fc18
then log in and leave karma (feedback).
Comment 22 Dan Mashal 2013-02-13 23:27:31 EST
Jeff,

It seemed to work for me, but our packages may not match. You installed both mfm-1.5.2-2 and msm-1.5.0-3 im assuming. Can you please rpm -qa |grep mate and paste the out put here so I can match up with what's on my machine?

It's working fine here.

Dan
Comment 23 Jeff Bastian 2013-02-14 14:33:40 EST
I just did a fresh install of F18 in a virtual machine to test this.
I installed the minimal package set and then:
    yum -y groupinstall basic-x-window-environment mate-desktop-environment
    yum -y update

And then update mate-file-manager and mate-session-manager:
    yum -y localupdate \
        http://kojipkgs.fedoraproject.org//packages/mate-file-manager/1.5.2/2.fc18/x86_64/mate-file-manager-1.5.2-2.fc18.x86_64.rpm \
        http://kojipkgs.fedoraproject.org//packages/mate-file-manager/1.5.2/2.fc18/x86_64/mate-file-manager-extensions-1.5.2-2.fc18.x86_64.rpm \
        http://kojipkgs.fedoraproject.org//packages/mate-session-manager/1.5.0/3.fc18/x86_64/mate-session-manager-1.5.0-3.fc18.x86_64.rpm

Finally switch to graphical login and reboot:
    systemctl enable lightdm.service
    ln -sf /lib/systemd/system/graphical.target \
           /etc/systemd/system/default.target
    reboot


And... no desktop icons and no right-click menu on the desktop. :(

In fact, caja isn't even running:
    $ pgrep -lf caja
    $


My installed mate packages:

[root@localhost ~]# rpm -qa mate\* | sort
mate-backgrounds-1.5.0-2.fc18.noarch
mate-calc-1.5.0-1.fc18.x86_64
mate-conf-1.4.0-21.fc18.x86_64
mate-conf-editor-1.4.0-2.fc18.x86_64
mate-control-center-1.5.3-3.fc18.x86_64
mate-corba-1.4.0-10.fc18.x86_64
mate-desktop-1.5.5-1.fc18.x86_64
mate-desktop-libs-1.5.5-1.fc18.x86_64
mate-dialogs-1.5.0-2.fc18.x86_64
mate-file-archiver-1.5.1-4.fc18.x86_64
mate-file-manager-1.5.2-2.fc18.x86_64
mate-file-manager-extensions-1.5.2-2.fc18.x86_64
mate-file-manager-open-terminal-1.5.0-1.fc18.x86_64
mate-icon-theme-1.5.0-1.fc18.noarch
mate-image-viewer-1.5.0-2.fc18.x86_64
mate-keyring-1.5.0-2.fc18.x86_64
mate-keyring-pam-1.5.0-2.fc18.x86_64
mate-media-1.5.1-2.fc18.x86_64
mate-menus-1.5.0-1.fc18.x86_64
mate-menus-libs-1.5.0-1.fc18.x86_64
mate-mime-data-1.4.0-10.fc18.noarch
mate-netspeed-1.5.0-1.fc18.x86_64
mate-notification-daemon-1.5.1-1.fc18.x86_64
mate-panel-1.5.4-1.fc18.x86_64
mate-panel-libs-1.5.4-1.fc18.x86_64
mate-polkit-1.5.0-1.fc18.x86_64
mate-power-manager-1.5.1-4.fc18.x86_64
mate-session-manager-1.5.0-3.fc18.x86_64
mate-settings-daemon-1.5.4-1.fc18.x86_64
mate-system-log-1.4.0-6.fc18.x86_64
mate-system-monitor-1.5.0-2.fc18.x86_64
mate-terminal-1.5.0-1.fc18.x86_64
mate-text-editor-1.4.0-2.fc18.x86_64
mate-themes-1.5.0-1.fc18.noarch
mate-utils-1.4.0-6.fc18.x86_64
mate-vfs-1.4.0-14.fc18.x86_64
mate-window-manager-1.5.3-3.fc18.x86_64
Comment 24 Jeff Bastian 2013-02-14 14:36:32 EST
(In reply to comment #16)
> 1. cp /usr/share/applications/caja.desktop \
>       /usr/share/applications/caja-desktop.desktop
>    sed -i 's/^Exec=caja.*/Exec=caja -n/' \
>       /usr/share/applications/caja-desktop.desktop



Dan, do you still have this manually created file on your system?

This obviously is not owned by any mate rpm.

What does this say?
    rpm -qf /usr/share/applications/caja-desktop.desktop


If you get "file ... is not owned by any package" then your box still has this manually created file from testing the fix.
Comment 25 Fedora Update System 2013-02-19 07:51:32 EST
mate-settings-daemon-1.5.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.5.4-3.fc17
Comment 26 Fedora Update System 2013-02-19 07:53:01 EST
mate-settings-daemon-1.5.4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.5.4-3.fc18
Comment 27 Dan Mashal 2013-02-19 07:56:29 EST
Yup I had the same issue, there was some work done by upstream recently that might help. In addition to further fun. Working it out in rawhide.
Comment 28 Fedora Update System 2013-02-21 00:34:23 EST
Package mate-settings-daemon-1.5.4-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-settings-daemon-1.5.4-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2766/mate-settings-daemon-1.5.4-3.fc17
then log in and leave karma (feedback).
Comment 29 Fedora Update System 2013-03-03 17:26:51 EST
mate-settings-daemon-1.5.4-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2013-03-03 17:29:16 EST
mate-settings-daemon-1.5.4-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2013-03-03 17:33:54 EST
mate-file-manager-1.5.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-1.5.4-1.fc18
Comment 32 Fedora Update System 2013-03-03 17:34:05 EST
mate-file-manager-1.5.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-file-manager-1.5.4-1.fc17
Comment 33 Fedora Update System 2013-03-03 18:00:57 EST
mate-session-manager-1.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-session-manager-1.5.1-1.fc18
Comment 34 Fedora Update System 2013-03-03 18:01:10 EST
mate-session-manager-1.5.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-session-manager-1.5.1-1.fc17
Comment 35 Fedora Update System 2013-03-12 04:22:34 EDT
mate-file-manager-1.5.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2013-03-12 04:34:28 EDT
mate-file-manager-1.5.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2013-03-12 04:34:48 EDT
mate-session-manager-1.5.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 38 Fedora Update System 2013-03-12 04:55:15 EDT
mate-session-manager-1.5.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 39 Piruthiviraj Natarajan 2013-05-24 03:15:07 EDT
I still have the issue. rpm -qi mate-file-manager
Name : mate-file-manager
Version : 1.6.1
Release : 3.fc19
Architecture: x86_64
Install Date: Fri 24 May 2013 07:04:09 AM IST.

This fix solves the issue.
https://github.com/mate-desktop/mate-session-manager/issues/19#issuecomment-12765981
Comment 40 Dan Mashal 2013-05-24 04:21:12 EDT
Please test and leave karma ASAP
Comment 41 Fedora Update System 2013-05-24 04:21:39 EDT
mate-session-manager-1.6.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-session-manager-1.6.0-3.fc19
Comment 42 Piruthiviraj Natarajan 2013-05-24 04:34:17 EDT
Still doesn't work.
Comment 43 Piruthiviraj Natarajan 2013-05-24 04:35:58 EDT
sorry for the incomplete comment.

mate-session-manager-1.6.0-3.fc19 doesn't change the situation.
Comment 44 Fedora Update System 2013-05-24 15:46:38 EDT
Package mate-session-manager-1.6.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-session-manager-1.6.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9067/mate-session-manager-1.6.0-3.fc19
then log in and leave karma (feedback).
Comment 45 Fedora Update System 2013-05-24 16:24:16 EDT
mate-session-manager-1.6.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 46 Fedora Update System 2013-05-25 02:57:37 EDT
mate-file-manager-1.6.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.1-4.fc19
Comment 47 Fedora Update System 2013-05-25 03:03:34 EDT
mate-desktop-1.6.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-desktop-1.6.1-3.fc19
Comment 48 Fedora Update System 2013-05-26 23:17:57 EDT
mate-file-manager-1.6.1-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 49 Fedora Update System 2013-05-26 23:18:43 EDT
mate-desktop-1.6.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 50 Constantin Dunayev 2013-06-08 14:02:03 EDT
The bug is still NOT fixed in today's mate update in fc19 (mate-desktop 1.6.1-6.fc19, mate-file-manager 1.6.1-5.fc19 ). 10 new windows have appeared after update  & first reboot.
Comment 51 Dan Mashal 2013-06-08 17:34:15 EDT
confirmed
Comment 52 Pay87 2013-06-09 17:50:38 EDT
I also have this bug from a fresh F18 netinstall with MATE desktop only. It also happens from time to time after logging in (not only after first login).. :(
Comment 53 Rumen B. 2013-06-11 17:58:13 EDT
For me this happens on the current F19 randomly.
Even with old accounts on login it opens many "x-caja-desktop" windows. I have tried several login/logout cycles with the same account and it happens something like once every 10 cycles. Even sometimes it opens when I cklick on Trash. It opens "Trash" window together with one "x-caja-desktop".

# rpm -qa|grep mate
mate-backgrounds-1.6.0-1.fc19.noarch
mate-settings-daemon-1.6.0-1.fc19.x86_64
mate-bluetooth-libs-1.6.0-1.fc19.x86_64
mate-menu-editor-1.6.0-1.fc19.noarch
mate-dialogs-1.6.0-1.fc19.x86_64
mate-panel-libs-1.6.0-2.fc19.x86_64
mate-file-manager-devel-1.6.1-5.fc19.x86_64
libmateweather-1.6.1-1.fc19.x86_64
mate-keyring-pam-1.6.0-2.fc19.x86_64
mate-notification-daemon-1.6.0-1.fc19.x86_64
mate-file-manager-open-terminal-1.6.0-1.fc19.x86_64
mate-control-center-1.6.0-1.fc19.x86_64
mate-system-log-1.6.0-1.fc19.x86_64
mate-session-manager-1.6.0-3.fc19.x86_64
mate-desktop-libs-1.6.1-6.fc19.x86_64
mate-applets-1.6.1-4.fc19.x86_64
mate-themes-1.6.1-1.fc19.noarch
mate-window-manager-1.6.1-2.fc19.x86_64
mate-file-manager-1.6.1-5.fc19.x86_64
mate-icon-theme-1.6.0-1.fc19.noarch
mate-character-map-1.6.0-4.fc19.x86_64
mate-file-manager-image-converter-1.6.0-1.fc19.x86_64
mate-media-1.6.0-1.fc19.x86_64
mate-terminal-1.6.1-5.fc19.x86_64
mate-calc-1.6.0-1.fc19.x86_64
mate-desktop-1.6.1-6.fc19.x86_64
libmatekeyring-1.6.0-1.fc19.x86_64
mate-file-manager-extensions-1.6.1-5.fc19.x86_64
libmatekbd-1.6.0-1.fc19.x86_64
mate-menus-1.6.0-3.fc19.x86_64
imsettings-mate-1.6.2-1.fc19.x86_64
mate-power-manager-1.6.1-1.fc19.x86_64
mate-file-manager-sendto-1.6.0-1.fc19.x86_64
mate-system-monitor-1.6.0-1.fc19.x86_64
mate-text-editor-1.6.0-1.fc19.x86_64
mate-polkit-1.6.0-1.fc19.x86_64
mate-common-1.6.1-1.fc19.noarch
libmatewnck-1.6.0-1.fc19.x86_64
mate-file-archiver-1.6.0-1.fc19.x86_64
mate-image-viewer-1.6.0-1.fc19.x86_64
mate-menus-libs-1.6.0-3.fc19.x86_64
mate-bluetooth-1.6.0-1.fc19.x86_64
mate-utils-1.6.0-1.fc19.x86_64
mate-panel-1.6.0-2.fc19.x86_64
mate-keyring-1.6.0-2.fc19.x86_64

#uname -a
Linux node3 3.9.4-301.fc19.x86_64 #1 SMP Tue Jun 4 00:30:04 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 54 Dan Mashal 2013-06-11 18:18:35 EDT
We are working on it. Only should happen on first login, known bug. Sorry guys.
Comment 55 Rumen B. 2013-06-11 18:37:03 EDT
Come on! It happens on old users too...
I just reproduced it again with old user...
Comment 56 Rumen B. 2013-06-11 18:40:46 EDT
This may give you some clues. I just wanted to confirm what Pay87 is reporting.
Comment 57 Pay87 2013-06-11 18:42:21 EDT
Thanks Dan!
Just want to add that it does not happen on my PC with Intel i5 + Nvidia card, but happens on nearly same specs and same software installed on HP Notebook with Intel i5 + internal Intel graphic used. I don't think it is related to graphic card, but just want to add all information I got on this.

Also it happens when I log in "faster" more often than when I wait some time at login screen. It happens also on old users here, too.

Just a tip for everyone with the problem. Press STRG + Q and all windows will close at once, so you don't have close everything with mouse :)
Comment 58 Carlos Vidal 2013-06-18 04:02:59 EDT
Same here, with mate-session-manager-1.6.0-3.fc18.x86_64. 

Solved it by removing 'rm -rf ~carlos/.local/share/gvfs-metadata' from the console (logout then Ctrl-Alt-F2 and login as root).

I did this because I had these messages in .xession-errors:

(caja:1571): GVFS-WARNING **: meta_journal_iterate: found short sized entry, possible journal corruption

After removing gvfs-metadata the multiple caja windows went away, but this message is still there ;-)
Comment 59 Wolfgang Ulbrich 2013-06-18 10:35:11 EDT
(In reply to Carlos Vidal from comment #58)
> Same here, with mate-session-manager-1.6.0-3.fc18.x86_64. 
> 
> Solved it by removing 'rm -rf ~carlos/.local/share/gvfs-metadata' from the
> console (logout then Ctrl-Alt-F2 and login as root).
Good hint, will check it.
> I did this because I had these messages in .xession-errors:
> 
> (caja:1571): GVFS-WARNING **: meta_journal_iterate: found short sized entry,
> possible journal corruption
> 
> After removing gvfs-metadata the multiple caja windows went away, but this
> message is still there ;-)
This warning happens since gvfs-1.14.2-4.fc18 has included some patches from gvfs-1.17.
see http://koji.fedoraproject.org/koji/buildinfo?buildID=419051
- Fix metadata issues on NFS homedirs (#561904)

Downgrading to gvfs-1.14.2-2.fc18 should avoid this warnings.
This helps also if you run in this issue.
https://bugzilla.redhat.com/show_bug.cgi?id=972614
Comment 60 Fedora Update System 2013-06-20 10:44:03 EDT
mate-file-manager-1.6.1-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.1-7.fc18
Comment 61 Fedora Update System 2013-06-20 10:44:18 EDT
mate-file-manager-1.6.1-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.1-7.fc17
Comment 62 Fedora Update System 2013-06-20 10:44:31 EDT
mate-file-manager-1.6.1-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.1-7.fc19
Comment 63 Fedora Update System 2013-06-20 13:59:18 EDT
Package mate-file-manager-1.6.1-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-file-manager-1.6.1-7.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11332/mate-file-manager-1.6.1-7.fc19
then log in and leave karma (feedback).
Comment 64 Rumen B. 2013-06-20 17:24:16 EDT
Sorry, but it does not work for me.
I have no icons on the Desktop now. 
Did you remove caja form /etc/xdg/autostart? 
I tried this some time ago with the same effect...
Comment 65 Wolfgang Ulbrich 2013-06-20 18:25:53 EDT
(In reply to Rumen B. from comment #64)
> Sorry, but it does not work for me.
> I have no icons on the Desktop now. 
> Did you remove caja form /etc/xdg/autostart? 
> I tried this some time ago with the same effect...

Ok, time to say some things about fedora caja versions for all (user and maintainer)
With version 1.6.1-4 i added the /etc/xdg/autostart/caja-autostart file and remove with a gsettings.override file in mate-desktop, caja from gsettings key required-components in mate-session.
In result caja starts with the desktop file and not from the mate-session-manager.
My hope that this work around fix the issue is still buried because the issue is still alive, not so often but still alive, imo.
The real prob seems to be in the code of m-s-d or m-s-m.
But removing the desktop file from caja without revert the change in mate-desktop's gsettings.override file makes no sense, especially just before the release.

sit back and relax, f19 is fine, every DE has minor issues,
normal for bleeding edge and we still working on....
Comment 66 markm 2013-06-23 18:47:45 EDT
$ rpm -qa | grep mate-desktop
mate-desktop-1.6.1-8.fc19.x86_64
mate-desktop-extra-release-19-1.fc19.noarch
mate-desktop-libs-1.6.1-8.fc19.x86_64


Right now, on two different machines, when I login to the MATE DE, no icons are displayed on the desktop. I have to manually run caja from alt+F2 then caja starts and icons are displayed.
Comment 67 Wolfgang Ulbrich 2013-06-24 06:56:25 EDT
The problem is mate-file-manager-1.6.1-7.fc19, pls downgrade to mate-file-manager-1.6.1-6.fc19 and leave negative karma for
https://admin.fedoraproject.org/updates/FEDORA-2013-11332/mate-file-manager-1.6.1-7.fc19?_csrf_token=f68495b00453d7d3ad8c5ce9e85ac2b2df69fbb2
Comment 68 Dan Mashal 2013-06-28 19:34:28 EDT
As of right now this problem no longer appears.
Comment 69 Rumen B. 2013-06-29 17:13:00 EDT
What was the problem? I have found an ugly workaround: Starting caja through a wrapper which postpones starting the actual caja for one second at login seems to fix the problem, but this hack is as ugly as it can be :)
Comment 70 Jan Sedlák 2013-07-01 07:13:42 EDT
Ok, I have tried F19 with Mate from netinst and it seems like it was fixed. Good work!
Comment 71 Constantin Dunayev 2013-07-01 07:30:34 EDT
The bug still exists. Fedora 19 with MATE, Cinnamon & Gnome. After log out from MATE, log in to Gnome Classic, log out, log in to MATE - 10 caja windows still appear.
Comment 72 Jan Sedlák 2013-07-01 07:31:48 EDT
Oh, nope. After reboot, after second login, ten x-caja-desktop windows appeared...
Comment 73 Piruthiviraj Natarajan 2013-07-02 14:28:15 EDT
still exists. I tested LiveCD TC6.
Comment 74 Sam Tygier 2013-07-07 06:17:33 EDT
Just seen this on a clean installed F19 on my first log in to MATE. I installed the gnome edition, then added MATE (and cinnamon and gnome-classic).
Comment 75 Wolfgang Ulbrich 2013-07-08 09:50:01 EDT
*** Bug 973430 has been marked as a duplicate of this bug. ***
Comment 76 Fedora Update System 2013-07-19 20:43:59 EDT
mate-file-manager-1.6.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.2-1.fc19
Comment 77 fred smith 2013-07-24 18:34:21 EDT
Using F19 (i686) on Acer Aspire One D255E netbook with intel video, I get 10 copies of caja after login at boot, but not all the time. every 1-3 days I'll see it. Not certain that it's ONLY after boot, not having kept good records, but it's certainly not at every login.

this was a fresh install from DVD, and ONLY the Mate desktop was instaled.
Comment 78 Fedora Update System 2013-07-26 20:02:20 EDT
mate-session-manager-1.6.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-session-manager-1.6.1-1.fc19
Comment 79 fred smith 2013-07-26 22:26:15 EDT
I appreciate your efforts, but that update doesn't solve the problem.

I installed it, rebooted, logged in. no problem.

logged off, logged in. oops. 10 copies of Caja.
Comment 80 markm 2013-07-27 06:38:39 EDT
(In reply to fred smith from comment #79)
> I appreciate your efforts, but that update doesn't solve the problem.
> 
> I installed it, rebooted, logged in. no problem.
> 
> logged off, logged in. oops. 10 copies of Caja.

Same here.
Comment 81 Wolfgang Ulbrich 2013-07-27 07:31:02 EDT
Thank you for testing the update.
All i can say is we'are working on it and i has no. 1 priority.
Comment 82 Fedora Update System 2013-07-30 13:34:39 EDT
mate-file-manager-1.6.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 83 fred smith 2013-07-30 19:38:42 EDT
Sorry, and thanks for the efforts, but this one doesn't solve the problem either. Installed it, logged off/on, all is good. logged off and on again and got 10 Caja instances. :(
Comment 84 Neil 2013-08-02 14:58:12 EDT
Nope, still happening, logged off to apply a theme, and when I logged on the ten cajas appeared, good think is that are just 10, my problem wasn't with just ten cajas, was with a loooot cajas, they just appear and appear till it fill my ram (of course before that I restarted the X server)
Comment 85 Wolfgang Ulbrich 2013-08-03 19:10:55 EDT
As a workaround i suggest to edit two desktop files.
/etc/xdg/autostart/caja-autostart.desktop
change here the Exec line to 'Exec=caja -n --sync'

/usr/share/applications/caja.desktop
change here the Exec line to 'Exec=caja -n --sync'

Hope this helps until the issue is fixed.
Feedback is welcome.
Comment 86 Fedora Update System 2013-08-04 19:01:11 EDT
mate-session-manager-1.6.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 87 Amadeus W.M. 2013-08-14 23:41:39 EDT
Still not fixed on an up to date F19.

rpm -q mate-session-manager
mate-session-manager-1.6.1-1.fc19.x86_64
Comment 88 Markus Haybach 2013-08-18 13:21:50 EDT
Same here:

Fedora 19 x64
mate-session-manager-1.6.1-1.fc19.x86_64
Comment 89 markm 2013-08-18 18:18:04 EDT
Same here... used to see them only after log-out and log-in, now every time I start my computer and log in.
Comment 90 Dan Mashal 2013-08-23 23:40:42 EDT
reproduced on fc21
Comment 91 Roman Ovseitsev 2013-08-27 19:03:29 EDT
Happened to me too on Fedora 19.
Turned out that /run/user/[UID]/dconf got root permissions suddenly out of nowhere. Fixed by resetting the owner.

[rom@aelia ~]$ rpm -qa |grep mate
mate-desktop-libs-1.6.1-11.fc19.i686
mate-panel-1.6.1-2.fc19.x86_64
mate-file-manager-1.6.2-3.fc19.x86_64
mate-document-viewer-libs-1.6.1-5.fc19.x86_64
mate-media-1.6.0-2.fc19.x86_64
mate-control-center-1.6.1-2.fc19.x86_64
mate-system-log-1.6.0-7.fc19.x86_64
mate-dialogs-1.6.0-1.fc19.x86_64
mate-terminal-1.6.1-11.fc19.x86_64
mate-polkit-1.6.0-1.fc19.x86_64
mate-menus-libs-1.6.0-4.fc19.x86_64
mate-window-manager-1.6.2-3.fc19.x86_64
libmatekeyring-1.6.0-1.fc19.x86_64
mate-notification-daemon-1.6.0-2.fc19.x86_64
mate-dictionary-1.6.0-7.fc19.x86_64
mate-desktop-libs-1.6.1-11.fc19.x86_64
mate-desktop-1.6.1-11.fc19.x86_64
mate-settings-daemon-1.6.1-2.fc19.x86_64
mate-file-manager-schemas-1.6.2-3.fc19.x86_64
mate-backgrounds-1.6.0-1.fc19.noarch
schroedinger-cat-backgrounds-animated-18.91.0-1.fc19.noarch
mate-desktop-devel-1.6.1-11.fc19.x86_64
mate-file-manager-image-converter-1.6.0-1.fc19.x86_64
mate-keyring-1.6.0-2.fc19.x86_64
mate-screensaver-1.6.1-2.fc19.x86_64
imsettings-mate-1.6.3-1.fc19.x86_64
mate-utils-1.6.0-7.fc19.x86_64
mate-themes-1.6.2-0.2.git3fc43dd.fc19.noarch
mate-icon-theme-devel-1.6.1-2.fc19.noarch
libmatewnck-1.6.1-1.fc19.x86_64
mate-session-manager-1.6.1-1.fc19.x86_64
mate-icon-theme-1.6.1-2.fc19.noarch
libmatekbd-1.6.1-1.fc19.x86_64
mate-image-viewer-1.6.1-1.fc19.x86_64
mate-common-1.6.1-1.fc19.noarch
mate-file-archiver-1.6.0-2.fc19.x86_64
mate-menu-editor-1.6.0-1.fc19.noarch
mate-file-manager-devel-1.6.2-3.fc19.x86_64
libmateweather-1.6.2-1.fc19.x86_64
mate-character-map-1.6.0-4.fc19.x86_64
mate-keyring-pam-1.6.0-2.fc19.x86_64
mate-text-editor-1.6.0-5.fc19.x86_64
mate-power-manager-1.6.2-3.fc19.x86_64
mate-menus-preferences-category-menu-1.6.0-4.fc19.x86_64
mate-menus-1.6.0-4.fc19.x86_64
mate-document-viewer-1.6.1-5.fc19.x86_64
mate-control-center-filesystem-1.6.1-2.fc19.x86_64
mate-menus-devel-1.6.0-4.fc19.x86_64
mate-applets-1.6.1-4.fc19.x86_64
mate-system-monitor-1.6.1-1.fc19.x86_64
mate-panel-libs-1.6.1-2.fc19.x86_64
mate-file-manager-extensions-1.6.2-3.fc19.x86_64
Comment 92 Dan Mashal 2013-09-11 08:56:54 EDT
Still not fixed upstream (or here) and confirmed over multiple distributions.
Comment 93 Dag-Erling Smørgrav 2013-09-11 12:58:27 EDT
Confirmed on up-to-date Fedora 19, upstream devs claim they fixed it four months ago.

# cat /etc/issue
Fedora release 19 (Schrödinger’s Cat)
Kernel \r on an \m (\l)
# rpm -qa mate\* | sort
mate-applets-1.6.1-4.fc19.x86_64
mate-backgrounds-1.6.0-1.fc19.noarch
mate-bluetooth-1.6.0-5.fc19.x86_64
mate-bluetooth-libs-1.6.0-5.fc19.x86_64
mate-calc-1.6.0-1.fc19.x86_64
mate-character-map-1.6.0-4.fc19.x86_64
mate-control-center-1.6.1-2.fc19.x86_64
mate-control-center-filesystem-1.6.1-2.fc19.x86_64
mate-desktop-1.6.1-11.fc19.x86_64
mate-desktop-libs-1.6.1-11.fc19.x86_64
mate-dialogs-1.6.0-1.fc19.x86_64
mate-document-viewer-1.6.1-5.fc19.x86_64
mate-document-viewer-libs-1.6.1-5.fc19.x86_64
mate-file-archiver-1.6.0-2.fc19.x86_64
mate-file-manager-1.6.2-3.fc19.x86_64
mate-file-manager-extensions-1.6.2-3.fc19.x86_64
mate-file-manager-image-converter-1.6.0-1.fc19.x86_64
mate-file-manager-open-terminal-1.6.0-3.fc19.x86_64
mate-file-manager-schemas-1.6.2-3.fc19.x86_64
mate-file-manager-sendto-1.6.0-2.fc19.x86_64
mate-icon-theme-1.6.1-2.fc19.noarch
mate-image-viewer-1.6.1-1.fc19.x86_64
mate-keyring-1.6.0-2.fc19.x86_64
mate-keyring-pam-1.6.0-2.fc19.x86_64
mate-media-1.6.0-2.fc19.x86_64
mate-menu-editor-1.6.0-1.fc19.noarch
mate-menus-1.6.0-4.fc19.x86_64
mate-menus-libs-1.6.0-4.fc19.x86_64
mate-notification-daemon-1.6.0-2.fc19.x86_64
mate-panel-1.6.1-2.fc19.x86_64
mate-panel-libs-1.6.1-2.fc19.x86_64
mate-polkit-1.6.0-1.fc19.x86_64
mate-power-manager-1.6.2-3.fc19.x86_64
mate-screensaver-1.6.1-2.fc19.x86_64
mate-session-manager-1.6.1-1.fc19.x86_64
mate-settings-daemon-1.6.1-2.fc19.x86_64
mate-system-log-1.6.0-7.fc19.x86_64
mate-system-monitor-1.6.1-1.fc19.x86_64
mate-terminal-1.6.1-11.fc19.x86_64
mate-text-editor-1.6.0-5.fc19.x86_64
mate-themes-1.6.2-0.2.git3fc43dd.fc19.noarch
mate-utils-1.6.0-7.fc19.x86_64
mate-window-manager-1.6.2-3.fc19.x86_64
Comment 94 Chris Smart 2013-09-11 19:22:04 EDT
(In reply to Dag-Erling Smørgrav from comment #93)
> Confirmed on up-to-date Fedora 19, upstream devs claim they fixed it four
> months ago.
> 

Did they point to a commit for that?

-c
Comment 95 Dan Mashal 2013-09-11 21:00:12 EDT
(In reply to Chris Smart from comment #94)
> (In reply to Dag-Erling Smørgrav from comment #93)
> > Confirmed on up-to-date Fedora 19, upstream devs claim they fixed it four
> > months ago.
> > 
> 
> Did they point to a commit for that?
> 
> -c

Upstream _thought_ they fixed this here:
https://github.com/mate-desktop/mate-file-manager/commit/d116bf8ba8be698869fef81b30d576bcacf3234c

But they did not. It is an issue with mate-session-manager not mate-file-manager (caja)
Comment 96 Dag-Erling Smørgrav 2013-09-12 10:49:40 EDT
(In reply to Dan Mashal from comment #95)
> Upstream _thought_ they fixed this here:
> https://github.com/mate-desktop/mate-file-manager/commit/d116bf8ba8be698869fef81b30d576bcacf3234c
> 
> But they did not. It is an issue with mate-session-manager not mate-file-manager (caja)

You don't happen to have a workaround, do you?
Comment 97 Carlos Vidal 2013-09-12 11:40:22 EDT
So far the simplest workaround is "Ctrl-Q" when it happens ;-)

As additional info for the developers, doing some tests launching multiple VNC+Mate sessions on a F18 server I found that Caja was launched non-stop, zillions of times, when the user did not had enough rights to write in the /run/user/#UID/ directory. 

As this directory is created dynamically, there may be a timing issue between the session manager, Caja and the DBUS directory availability on login. 

The only place I see where this can happen is in session-manager's "do_phase_startup()", if Caja did not had time to inform the session manager, the condition
  (manager->priv->pending_apps != NULL)
will be true, because Caja will still be pending, so it will be launched again. But I don't know how to prevent this in a clean way (i.e. without treating Caja as an special case).
Comment 98 Dag-Erling Smørgrav 2013-09-14 17:49:26 EDT
(In reply to Carlos Vidal from comment #97)
> The only place I see where this can happen is in session-manager's
> "do_phase_startup()", if Caja did not had time to inform the session
> manager, the condition
>   (manager->priv->pending_apps != NULL)
> will be true, because Caja will still be pending, so it will be launched
> again. But I don't know how to prevent this in a clean way (i.e. without
> treating Caja as an special case).

As far as I can tell from the code, the session manager does *not* try to start the app again.  It sets a 30-second timer, and if the application still hasn't registered by the time the timer runs out, it logs an error and gives up.  This happens in do_phase_startup() and on_phase_timeout():

    manager->priv->phase_timeout_id = g_timeout_add_seconds (GSM_MANAGER_PHASE_TIMEOUT, (GSourceFunc)on_phase_timeout, manager);

    ...

    g_warning ("Application '%s' failed to register before timeout", gsm_app_peek_app_id (a->data));
    g_signal_handlers_disconnect_by_func (a->data, app_registered, manager);
Comment 99 Wolfgang Ulbrich 2013-09-15 04:50:58 EDT
A lot of things are said to this issue, sorry about this.
But upstream is working on in because it affeceted all other distros where MATE is in.
It is very hard to work on it if nothing is writen in logs and if a issue only happens randomly.

Maybe (i say this very carefully) the issue is caused by mate-file-manager-open-terminal, because this is the only application where 'x-caja-windows' is in the code.
I did test removing mate-file-manager-open-terminal from installation and adding/loging in a new user account for f18/19/20 and on 4 VM's.
Here it never happend again if i logged in the new user account.

It would be very nice if you guys could do this test procedure too, because i wanna be shure before i start actions like obsoleting mate-file-manager-open-terminal until it is fixed.

As an alternative you can use caja-actions for creating a terminal entry for the context menu. As exectution parameter for mate-terminal use --working-directory=%F
Comment 100 Dan Mashal 2013-09-15 07:51:10 EDT
POSSIBLE SOLUTION:

Per conversation on IRC with Wolfgang it seems that this issue is being caused by mate-file-manager-open-terminal. Please remove this package and let us know if it solved the problem for you.
Comment 101 Dag-Erling Smørgrav 2013-09-15 08:55:39 EDT
(In reply to Dan Mashal from comment #100)
> Per conversation on IRC with Wolfgang it seems that this issue is being
> caused by mate-file-manager-open-terminal. Please remove this package and
> let us know if it solved the problem for you.

It makes no difference whatsoever.

This is not intermittent, BTW.  It is 100% reproducible in Fedora 19 with the following procedure:

# yum groupinstall mate-desktop
# cat >/etc/skel/.Xclients <<EOF
#!/bin/sh
exec /usr/bin/mate-session
EOF
# chmod a+rx /etc/skel/.Xclients
# pw useradd cajatest
# passwd cajatest
Changing password for user cajatest.
New password: 
Retype new password: 
passwd: all authentication tokens updated successfully.

then log in as cajatest.  It helps to have pam_mkhomedir so you can 'rm -rf ~cajatest' between tests, since the bug only occurs on first login.

(note that the machine is a VM running on RHEV, and I log in over RDP with xrdp + tigervnc, not on the console.)

(tangentially, mate-settings-daemon hangs when I log out, so I end up having to 'pkill -U cajatest')
Comment 102 Wolfgang Ulbrich 2013-09-15 09:18:56 EDT
Happend here again in a fresh installed f20 after the maybe 20th login. :-/
Sorry for this noise.
Comment 103 Nivag 2013-09-19 05:13:39 EDT
I got a massive attack of x-caja-desktop's immediately after I logged in, after rebooting.

I had to reboot, because I had an attack of the x-caja-desktop's after a few hours.

The 2 reboots prior to that, were caused by attacks of the x-caja-desktop's, after about a day, and several days respectively.

Once I was logged in for about 6 days before I got an attack.

Note that the x-caja-desktop's keep getting spawned, so I often have over 50 before I get around to rebooting

mate-file-manager-1.6.2-3.fc19.x86_64.rpm
I am running Fedora 19
32 GB RAM
Haswell CPU


N.B. I originally made a similar comment for 
https://bugzilla.redhat.com/show_bug.cgi?id=961890
as that is the one that abrt suggested
(see comment #14 in bug 96189)
Comment 104 Nivag 2013-09-19 19:21:40 EDT
I updated bug 961890 - as I again had an attack, after over an hour after logging in, & abrt pointed to that bug.  This time included the backtrace and other files.
Comment 105 Piruthiviraj Natarajan 2013-09-21 05:16:15 EDT
Fedora mate-spin alpha RC3 F20 still got this bug and mate-panel eats up the CPU and crashes as well at the same time. Anyone else having this behavior?
Comment 106 Wolfgang Ulbrich 2013-09-21 08:12:44 EDT
(In reply to Piruthiviraj Natarajan from comment #105)
> Fedora mate-spin alpha RC3 F20 still got this bug and mate-panel eats up the
> CPU and crashes as well at the same time. Anyone else having this behavior?

for mate-panel you need update libmateweather to libmateweather-1.6.2-3.fc20.
Those update isn't in stable repos because of the alpha freeze.
Hope this helps.
Comment 107 antonio montagnani 2013-09-29 16:56:20 EDT
it happens also here but very random, and not always at first login. Tonight I logged out and back in and it happened twice.
Comment 108 antonio montagnani 2013-09-30 01:18:44 EDT
I have two different systems,only one is affected, but I noted that where I get the ten-windows thing, I have .cache/dconf/user present, but not in the unaffected system.Could it be connected??
Comment 109 Dan Mashal 2013-09-30 01:21:51 EDT
(In reply to antonio montagnani from comment #108)
> I have two different systems,only one is affected, but I noted that where I
> get the ten-windows thing, I have .cache/dconf/user present, but not in the
> unaffected system.Could it be connected??

We believe that it's a race condition.

On my Eight core AMD box with 32GB I got only one x-caja-desktop window.
Comment 110 Nivag 2013-10-01 04:21:18 EDT
see:
https://bugzilla.redhat.com/show_bug.cgi?id=961890#c27
https://bugzilla.redhat.com/show_bug.cgi?id=961890#c32

looks like, 
https://bugzilla.redhat.com/show_bug.cgi?id=886029#c85
is not a complete answer, as I still got an attack of the x-caja-desktop's! a few days after applying the work-around.
Comment 111 Nivag 2013-10-05 18:40:00 EDT
Question:  Is there any way I can produce more useful diagnostics?

I am still getting attacks of the x-caja-desktop's - both just after login and several hours/days into a session.  Even with the latest & greatest of yum updates.

# uname -a
Linux saturn 3.11.2-201.fc19.x86_64 #1 SMP Fri Sep 27 19:20:55 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
# rpm -qa mate\* | sort
mate-applets-1.6.1-4.fc19.x86_64
mate-applets-debuginfo-1.6.1-4.fc19.x86_64
mate-backgrounds-1.6.0-1.fc19.noarch
mate-calc-1.6.0-1.fc19.x86_64
mate-calc-debuginfo-1.6.0-1.fc19.x86_64
mate-character-map-1.6.0-4.fc19.x86_64
mate-character-map-debuginfo-1.6.0-4.fc19.x86_64
mate-control-center-1.6.1-2.fc19.x86_64
mate-control-center-debuginfo-1.6.1-2.fc19.x86_64
mate-control-center-filesystem-1.6.1-2.fc19.x86_64
mate-desktop-1.6.2-0.1.git81c245b.fc19.x86_64
mate-desktop-debuginfo-1.6.2-0.1.git81c245b.fc19.x86_64
mate-desktop-libs-1.6.2-0.1.git81c245b.fc19.x86_64
mate-dialogs-1.6.0-1.fc19.x86_64
mate-dialogs-debuginfo-1.6.0-1.fc19.x86_64
mate-dictionary-1.6.0-8.fc19.x86_64
mate-disk-usage-analyzer-1.6.0-8.fc19.x86_64
mate-file-archiver-1.6.0-2.fc19.x86_64
mate-file-archiver-debuginfo-1.6.0-2.fc19.x86_64
mate-file-manager-1.6.3-0.2.git73cc7e9.fc19.x86_64
mate-file-manager-debuginfo-1.6.3-0.2.git73cc7e9.fc19.x86_64
mate-file-manager-extensions-1.6.3-0.2.git73cc7e9.fc19.x86_64
mate-file-manager-image-converter-1.6.0-1.fc19.x86_64
mate-file-manager-image-converter-debuginfo-1.6.0-1.fc19.x86_64
mate-file-manager-open-terminal-1.6.0-3.fc19.x86_64
mate-file-manager-open-terminal-debuginfo-1.6.0-3.fc19.x86_64
mate-file-manager-schemas-1.6.3-0.2.git73cc7e9.fc19.x86_64
mate-file-manager-sendto-1.6.0-2.fc19.x86_64
mate-file-manager-sendto-debuginfo-1.6.0-2.fc19.x86_64
mate-icon-theme-1.6.3-0.1.git3159523.fc19.noarch
mate-image-viewer-1.6.1-2.fc19.x86_64
mate-image-viewer-debuginfo-1.6.1-2.fc19.x86_64
mate-keyring-1.6.0-2.fc19.x86_64
mate-keyring-debuginfo-1.6.0-2.fc19.x86_64
mate-keyring-pam-1.6.0-2.fc19.x86_64
mate-media-1.6.0-4.fc19.x86_64
mate-media-debuginfo-1.6.0-4.fc19.x86_64
mate-menu-editor-1.6.0-1.fc19.noarch
mate-menus-1.6.0-4.fc19.x86_64
mate-menus-debuginfo-1.6.0-4.fc19.x86_64
mate-menus-libs-1.6.0-4.fc19.x86_64
mate-notification-daemon-1.6.0-2.fc19.x86_64
mate-notification-daemon-debuginfo-1.6.0-2.fc19.x86_64
mate-panel-1.6.1-4.fc19.x86_64
mate-panel-debuginfo-1.6.1-4.fc19.x86_64
mate-panel-libs-1.6.1-4.fc19.x86_64
mate-polkit-1.6.0-1.fc19.x86_64
mate-polkit-debuginfo-1.6.0-1.fc19.x86_64
mate-power-manager-1.6.2-3.fc19.x86_64
mate-power-manager-debuginfo-1.6.2-3.fc19.x86_64
mate-screensaver-1.6.1-2.fc19.x86_64
mate-screensaver-debuginfo-1.6.1-2.fc19.x86_64
mate-screenshot-1.6.0-8.fc19.x86_64
mate-search-tool-1.6.0-8.fc19.x86_64
mate-sensors-applet-1.6.0-3.fc19.x86_64
mate-session-manager-1.6.1-1.fc19.x86_64
mate-session-manager-debuginfo-1.6.1-1.fc19.x86_64
mate-settings-daemon-1.6.2-0.3.gitd2d3aa7.fc19.x86_64
mate-settings-daemon-debuginfo-1.6.2-0.3.gitd2d3aa7.fc19.x86_64
mate-system-log-1.6.0-8.fc19.x86_64
mate-system-monitor-1.6.1-1.fc19.x86_64
mate-system-monitor-debuginfo-1.6.1-1.fc19.x86_64
mate-terminal-1.6.1-11.fc19.x86_64
mate-terminal-debuginfo-1.6.1-11.fc19.x86_64
mate-text-editor-1.6.0-5.fc19.x86_64
mate-text-editor-debuginfo-1.6.0-5.fc19.x86_64
mate-themes-1.6.2-0.2.git3fc43dd.fc19.noarch
mate-utils-1.6.0-8.fc19.x86_64
mate-utils-common-1.6.0-8.fc19.noarch
mate-utils-debuginfo-1.6.0-8.fc19.x86_64
mate-window-manager-1.6.2-5.fc19.x86_64
mate-window-manager-debuginfo-1.6.2-5.fc19.x86_64
#
Comment 112 markm 2013-10-07 07:39:06 EDT
$0.05 from me:

three different laptops, three different behaviours:

1. My "test" laptop

most of the time I don't see x-caja-desktop windows at all, they were showing up there, but not any more (since August I would say)

2. My desktop computer

every time I log in, I get 10 x-caja-desktop windows open
if I log out and log in, they won't be there... most of the time

3. My work laptop

when I boot in, 10 x-caja-desktop windows will pop in and then disappear (makes a nasty flashy animation with compiz enabled ;)) almost every time

hope that helps...
Comment 113 were4994 2013-10-08 07:21:35 EDT
(In reply to Wolfgang Ulbrich from comment #99)
> 
> Maybe (i say this very carefully) the issue is caused by
> mate-file-manager-open-terminal, because this is the only application where
> 'x-caja-windows' is in the code.
> I did test removing mate-file-manager-open-terminal from installation and
> adding/loging in a new user account for f18/19/20 and on 4 VM's.
> Here it never happend again if i logged in the new user account.
> 

I did not experience 10 'x-caja-desktop' at login, but during use, especially (over 90%) when trying to use contextual 'open in terminal'. In my case the computer becomes unusable, as hundreds of such windows popup, never stopping. I have to reboot. This behaviour dissappeared after I took your advice and unistalled 'mate-file-manager-open-terminal'.

Thanks.
Comment 114 Wolfgang Ulbrich 2013-10-09 12:21:35 EDT
Hi guys,
next workaround for to avoid x-caja-windows at session start.
Try disable background-fade transition.
'gsettings set org.mate.background background-fade false'

Note, disable background-fade reduce the time of session start on older hardware.
And at session start we have allways a transition between the background from the DisplayManager and the background which will be used if caja gets in to handle the deskop (rightclick menu, desktop icons).

I did test this in a VM which is always be slower than a system on bare metal.
With background-fade disable it never happens here again, i logged in more than 30 times........

Please give feedback if this helps or not.
Thank you.
Comment 115 fred smith 2013-10-09 17:35:00 EDT
I JUST installed F20 Beta TC2 on my Asus eeepc 901 (external USB HD) and upon very first login after the installation I got ten--count 'em--TEN CAJA windows. :(
Comment 116 Fedora Update System 2013-10-09 21:42:58 EDT
mate-desktop-1.6.2-0.4.git81c245b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-desktop-1.6.2-0.4.git81c245b.fc19
Comment 117 Fedora Update System 2013-10-09 21:43:22 EDT
mate-desktop-1.6.2-0.4.git81c245b.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-desktop-1.6.2-0.4.git81c245b.fc18
Comment 118 Fedora Update System 2013-10-09 21:43:41 EDT
mate-desktop-1.6.2-0.4.git81c245b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-desktop-1.6.2-0.4.git81c245b.fc20
Comment 119 Dan Mashal 2013-10-09 21:58:50 EDT
After a day's worth of debugging with upstream we have pushed out a possible workaround. Please reboot after updating and let us know if you are still experiencing issues in this bug. Thanks.
Comment 120 Wolfgang Ulbrich 2013-10-09 23:39:59 EDT
(In reply to Dan Mashal from comment #119)
> After a day's worth of debugging with upstream we have pushed out a possible
> workaround. Please reboot after updating and let us know if you are still
> experiencing issues in this bug. Thanks.
Sorry Dan,
this possible fix (workaround) isn't from upstream, all work is done from fedora maintainers.
Comment 121 Piruthiviraj Natarajan 2013-10-10 04:03:55 EDT
Doesnt work for me in Rawhide 

rpm -qi mate-file-manager
Name        : mate-file-manager
Version     : 1.6.3
Release     : 0.5.gitbf47018.fc21
Architecture: x86_64
Install Date: Thu 10 Oct 2013 01:25:54 PM IST
Comment 122 Piruthiviraj Natarajan 2013-10-10 04:48:46 EDT
Sorry. I was using xfce and didn't install mate-settings-daemon and was having multiple caja windows opening up. But since I installed the latest version of mate-settings-daemon from rawhide, for the last 1 hour there is no issues.
Comment 123 Fedora Update System 2013-10-10 10:37:35 EDT
mate-desktop-1.6.2-0.4.git81c245b.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 124 Nivag 2013-10-10 16:37:58 EDT
(In reply to Wolfgang Ulbrich from comment #114)
> Hi guys,
> next workaround for to avoid x-caja-windows at session start.
> Try disable background-fade transition.
> 'gsettings set org.mate.background background-fade false'
> 
> Note, disable background-fade reduce the time of session start on older
> hardware.
[...]
> Please give feedback if this helps or not.
> Thank you.

I somehow doubt that applies to me, as I have a quad core Haswell processor with 32GB of Ram which is normally very lightly loaded, and I still get multiple x-caja-desktops.
Comment 125 Fedora Update System 2013-10-10 20:06:17 EDT
mate-file-manager-1.6.3-0.6.gitbf47018.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.3-0.6.gitbf47018.fc20
Comment 126 Fedora Update System 2013-10-10 20:07:07 EDT
mate-file-manager-1.6.3-0.6.gitbf47018.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.3-0.6.gitbf47018.fc19
Comment 127 Fedora Update System 2013-10-10 20:07:58 EDT
mate-file-manager-1.6.3-0.6.gitbf47018.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.3-0.6.gitbf47018.fc18
Comment 128 Wolfgang Ulbrich 2013-10-10 20:47:16 EDT
(In reply to Nivag from comment #124)
> (In reply to Wolfgang Ulbrich from comment #114)
> > Hi guys,
> > next workaround for to avoid x-caja-windows at session start.
> > Try disable background-fade transition.
> > 'gsettings set org.mate.background background-fade false'
> > 
> > Note, disable background-fade reduce the time of session start on older
> > hardware.
> [...]
> > Please give feedback if this helps or not.
> > Thank you.
> 
> I somehow doubt that applies to me, as I have a quad core Haswell processor
> with 32GB of Ram which is normally very lightly loaded, and I still get
> multiple x-caja-desktops.

Further investigations shows me that the issue has something to do with
~.cache/dconf/user
It seems if this file isn't ready written, starting caja will force the issue on startup session. You can test this simply by deleting the file and restart session. You will see the spamming windows and after the attack the file is re-written.
For this reason i added a 3 secs start delay for caja, same for restarting if caja is killed. I hope this will also fix the caja-windows attack during session in your longtime running system case.
Comment 129 Fedora Update System 2013-10-10 22:34:08 EDT
mate-desktop-1.6.2-0.4.git81c245b.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 130 Fedora Update System 2013-10-10 22:35:05 EDT
mate-desktop-1.6.2-0.4.git81c245b.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 131 antonio montagnani 2013-10-11 07:46:36 EDT
it happened again on my laptop this morning
Comment 132 Wolfgang Ulbrich 2013-10-11 07:59:57 EDT
(In reply to antonio montagnani from comment #131)
> it happened again on my laptop this morning

pls, can you follow the disscussion and updated your system to mate-file-manager and mate-desktop updates.
Comment 133 antonio montagnani 2013-10-11 08:13:41 EDT
My comment 131 is after updating to mate-desktop-1.6.2-0.4.git81c245b
Comment 134 Fedora Update System 2013-10-11 10:27:18 EDT
mate-file-manager-1.6.3-0.7.gitbf47018.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.3-0.7.gitbf47018.fc20
Comment 135 Fedora Update System 2013-10-11 10:32:16 EDT
mate-file-manager-1.6.3-0.7.gitbf47018.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.3-0.7.gitbf47018.fc18
Comment 136 Fedora Update System 2013-10-11 10:32:44 EDT
mate-file-manager-1.6.3-0.7.gitbf47018.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.3-0.7.gitbf47018.fc19
Comment 137 Wolfgang Ulbrich 2013-10-11 10:41:39 EDT
(In reply to antonio montagnani from comment #133)
> My comment 131 is after updating to mate-desktop-1.6.2-0.4.git81c245b

Thanks for clarification, this shows me that only disable background-fade isn't enough.
I did make a miskake with mate-file-manager-1.6.3-0.6.gitbf47018.
With mate-file-manager-1.6.3-0.7.gitbf47018 the start/restart delay is fixed.
Hopefully this will work around the issue.
You need to restart session for this.
Comment 138 markm 2013-10-11 11:19:39 EDT
$ rpm -qa | grep mate-desktop
mate-desktop-extra-release-19-1.fc19.noarch
mate-desktop-libs-1.6.2-0.4.git81c245b.fc19.x86_64
mate-desktop-1.6.2-0.4.git81c245b.fc19.x86_64

rebooted my laptop twice, twice saw 10 x-caja-desktop windows appearing, then disappearing on boot. logged out, logged in, same :)
Comment 139 Wolfgang Ulbrich 2013-10-11 11:32:34 EDT
(In reply to markm from comment #138)
> $ rpm -qa | grep mate-desktop
> mate-desktop-extra-release-19-1.fc19.noarch
> mate-desktop-libs-1.6.2-0.4.git81c245b.fc19.x86_64
> mate-desktop-1.6.2-0.4.git81c245b.fc19.x86_64
> 
> rebooted my laptop twice, twice saw 10 x-caja-desktop windows appearing,
> then disappearing on boot. logged out, logged in, same :)

PLease test mate-file-manager-1.6.3-0.7.gitbf47018
http://koji.fedoraproject.org/koji/buildinfo?buildID=470820
Comment 140 Fedora Update System 2013-10-11 12:47:43 EDT
Package mate-file-manager-1.6.3-0.7.gitbf47018.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-file-manager-1.6.3-0.7.gitbf47018.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18849/mate-file-manager-1.6.3-0.7.gitbf47018.fc20
then log in and leave karma (feedback).
Comment 141 Fedora Update System 2013-10-11 20:03:51 EDT
mate-file-manager-1.6.3-0.7.gitbf47018.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 142 Fedora Update System 2013-10-11 20:05:03 EDT
mate-file-manager-1.6.3-0.7.gitbf47018.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 143 Fedora Update System 2013-10-12 00:30:02 EDT
mate-file-manager-1.6.3-0.7.gitbf47018.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 144 antonio montagnani 2013-10-16 02:53:37 EDT
It happened again on my old system (Pentium P4, 1 GB Ram)
Comment 145 Wolfgang Ulbrich 2013-10-16 05:10:48 EDT
(In reply to antonio montagnani from comment #144)
> It happened again on my old system (Pentium P4, 1 GB Ram)

Please give more info.
1. Does this happend with mate-file-manager-1.6.3-0.7.gitbf47018 ?
2. At session start or during a session?
Comment 146 antonio montagnani 2013-10-16 05:20:21 EDT
1.Yes
2. At session start and (but not sure) only at first login into mate
Comment 147 Nivag 2013-10-17 05:54:24 EDT
I have had massive attacks several hours/days into a session on both my laptop & desktop.  Both have fairly modern processors (desktop is Haswell).  Both with a fully up-to-date F19.
Comment 148 were4994 2013-10-18 13:30:15 EDT
Reconfirming that I never again had any such problems after uninstalling mate-file-manager-open-terminal. I run Arch.
Comment 149 Fedora Update System 2013-11-12 07:24:26 EST
mate-file-manager-1.6.3-0.9.gitbf47018.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.3-0.9.gitbf47018.fc18
Comment 150 Fedora Update System 2013-11-12 07:24:52 EST
mate-file-manager-1.6.3-0.9.gitbf47018.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.3-0.9.gitbf47018.fc19
Comment 151 Fedora Update System 2013-11-12 21:07:57 EST
Package mate-file-manager-1.6.3-0.9.gitbf47018.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-file-manager-1.6.3-0.9.gitbf47018.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21157/mate-file-manager-1.6.3-0.9.gitbf47018.fc19
then log in and leave karma (feedback).
Comment 152 Piruthiviraj Natarajan 2013-11-13 09:39:46 EST
I had a massive attack of caja right now occuring continiously.
 rpm -qi mate-file-manager
Name        : mate-file-manager
Version     : 1.6.3
Release     : 0.7.gitbf47018.fc20
Architecture: x86_64
Install Date: Thu 07 Nov 2013 02:38:46 AM IST

I think the bug is back. Is anyone else having this?
Comment 153 Wolfgang Ulbrich 2013-11-13 10:49:47 EST
(In reply to Piruthiviraj Natarajan from comment #152)
> I had a massive attack of caja right now occuring continiously.
>  rpm -qi mate-file-manager
> Name        : mate-file-manager
> Version     : 1.6.3
> Release     : 0.7.gitbf47018.fc20
> Architecture: x86_64
> Install Date: Thu 07 Nov 2013 02:38:46 AM IST
> 
> I think the bug is back. Is anyone else having this?

Why not using latest mate-file-manager-1.6.3-0.9.gitbf47018.fc20 ?
Comment 154 Piruthiviraj Natarajan 2013-11-13 19:27:59 EST
Looks like its solved in mate-file-manager-1.6.3-0.9.gitbf47018.fc20 . But I have been noticing small uptick in power consumption recently oly when logged in MATE. CPU Temps has risen to about 5-10 C.  I think I should file a bug report.

Happens in Arch Linux too.
Comment 155 Piruthiviraj Natarajan 2013-12-08 03:57:59 EST
I just noticed that f20 fully updated with updates testing brings caja attack even in xfce DE. initially I get input/output error dialg box and clicking it the second time brings the attack.
Comment 156 Fedora Update System 2013-12-16 18:32:12 EST
mate-file-manager-1.6.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.3-1.fc20
Comment 157 Fedora Update System 2013-12-16 18:52:41 EST
mate-file-manager-1.6.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.3-1.fc18
Comment 158 Fedora Update System 2013-12-16 18:52:51 EST
mate-file-manager-1.6.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-file-manager-1.6.3-1.fc19
Comment 159 Fedora Update System 2013-12-17 14:08:15 EST
mate-file-manager-1.6.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 160 Fedora Update System 2013-12-27 00:56:44 EST
mate-file-manager-1.6.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 161 Fedora Update System 2013-12-27 01:00:16 EST
mate-file-manager-1.6.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.